## libnet-idn-punycode-perl 1.00-5

=== debian/changelog ===
libnet-idn-punycode-perl (1.00-5) stable; urgency=low

  * 32bit build 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 11 Jun 2010 11:03:38 +0200

libnet-idn-punycode-perl (1.00-4) stable; urgency=low

  * architecture=all 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 11 Jun 2010 11:01:18 +0200

libnet-idn-punycode-perl (1.00-3) stable; urgency=low

  * wrong package name 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 11 Jun 2010 10:42:33 +0200

libnet-idn-punycode-perl (1.00-2) stable; urgency=low

  * new name (punycode instead of encode) 

 -- Katharina Drexel <katharina.drexel@noris.de>  Fri, 11 Jun 2010 10:34:04 +0200

libnet-idn-punycode-perl (1.00-1) stable; urgency=low

  * Initial Release.

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 10 Jun 2010 17:27:23 +0200
