=== debian/control ===
Source: libnet-idn-punycode-perl
Section: perl
Priority: optional
Build-Depends: debhelper (>= 5), libmodule-build-perl, perl (>= 5.6.10-12)
Maintainer: Katharina Drexel <katharina.drexel@noris.de>
Standards-Version: 3.8.0
Homepage: http://search.cpan.org/dist/Net-IDN-Encode/

Package: libnet-idn-punycode-perl
Architecture: all
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, libtest-nowarnings-perl
Description: Internationalizing Domain Names in Applications (RFC 3490)
 This module provides an easy-to-use interface for encoding and
 decoding Internationalized Domain Names (IDNs).
 .
 IDNs use characters drawn from a large repertoire (Unicode), but
 IDNA allows the non-ASCII characters to be represented using only
 the ASCII characters already allowed in so-called host names today
 (letter-digit-hypen, /[A-Z0-9-]/i).
 .
 This description was automagically extracted from the module by dh-make-perl.
